This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 417791 - Conflicts between firefox-debuginfo and thunderbird-debuginfo rpms
Conflicts between firefox-debuginfo and thunderbird-debuginfo rpms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
: EasyFix
: 433200 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 04:09 EST by Mads Kiilerich
Modified: 2008-03-15 14:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-15 14:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A draft %setup -c patch (810 bytes, patch)
2008-02-22 14:22 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Mads Kiilerich 2007-12-10 04:09:32 EST
Description of problem:
Conflicts when install firefox-debuginfo and thunderbird-debuginfo.

In order to provide good bug reports it should always be possible to install
debuginfo packages, and they should collide.

  file /usr/src/debug/mozilla/content/canvas/src/nsCanvasRenderingContext2D.cpp
from install of firefox-debuginfo-2.0.0.10-2.fc8.i386 conflicts with file from
package thunderbird-debuginfo-2.0.0.9-1.fc8.i386
- and 20 other like this
Comment 1 Matěj Cepl 2007-12-10 09:45:38 EST
This should be (hopefully) easy to fix.
Comment 2 Matěj Cepl 2007-12-10 10:06:13 EST
Unfortunately, it apparently isn't. Reporter I am sorry, but you have to use rpm
-ivh --force to install those packages.
Comment 3 Mads Kiilerich 2007-12-16 18:43:25 EST
Even though it isn't an "easy fix" I assume that it is something that should be
fixed and eventually will be fixed.
Comment 4 Matěj Cepl 2008-02-21 17:36:06 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:37:05 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Mads Kiilerich 2008-02-21 20:44:46 EST
Matej: comment #4 and #5 seems to be a bulk comment. This issue is regarding
conflicts between debuginfo of two fedora packages, and AFAIK it has nothing to
do with upstream. So I assume that the comment doesn't apply. It has to be
tested with packages from F9-testing (which I haven't installed yet).

Also, I assume that in F9 XulRunner will change the packaging completely, so
this issue probably can't survive and thus could be closed.
Comment 7 Christopher Aillon 2008-02-22 01:21:06 EST
*** Bug 433200 has been marked as a duplicate of this bug. ***
Comment 8 Christopher Aillon 2008-02-22 01:23:15 EST
This bug really is due to the fact that firefox and xulrunner in rawhide use the
same source.  And in F8, firefox and thunderbird use the same source.  Not
really a good way to fix that...
Comment 9 Matěj Cepl 2008-02-22 05:04:32 EST
Honzo, do you have any ideas what to do, please?
Comment 10 Jan Kratochvil 2008-02-22 14:22:05 EST
Created attachment 295669 [details]
A draft %setup -c patch

I wrote about the problem in Bug 433200 Comment 4 (starting with "OTOH" there)
although it was for firefox vs. xulrunner (not firefox vs. thunderbird).
(It was wrongly talking about `%prep -c', it should be `%setup -c'.)

rpm strips out the /usr/src/redhat/BUILD/ part and the rest should be
system-unique.	It is not for firefox vs. thunderbird (vs. xulrunner).

The patch moves the build from the current
  /usr/src/redhat/BUILD/mozilla/
to
  /usr/src/redhat/BUILD/thunderbird-2.0.0.9/mozilla/
(It is just a draft, please finish it yourself, I expect some `cd mozilla' is
missing in its %install part.)
Comment 11 Jan Kratochvil 2008-02-22 14:22:52 EST
Guide for the `%setup -c' and other rpm options is at:
http://docs.fedoraproject.org/drafts/rpm-guide-en/ch09s04.html#id2971580
Comment 12 Christopher Aillon 2008-03-15 14:33:51 EDT
Thanks, Jan.  I just committed fixes to rawhide for xulrunner, firefox,
thunderbird, and seamonkey.

Note You need to log in before you can comment on or make changes to this bug.